> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Platform Fleet

> Podero-wide aggregates. No organization or device identifiers leave this route.



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json get /api/partners/v2.0/platform/fleet
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/platform/fleet:
    get:
      tags:
        - Platform
      summary: Platform Fleet
      description: >-
        Podero-wide aggregates. No organization or device identifiers leave this
        route.
      operationId: integrations_api_api_v2_platform_router_platform_fleet
      parameters:
        - in: query
          name: asset
          schema:
            enum:
              - inverters
              - evs
              - heatpumps
            title: Asset
            type: string
          required: true
        - in: query
          name: start
          schema:
            format: date-time
            title: Start
            type: string
          required: true
        - in: query
          name: end
          schema:
            format: date-time
            title: End
            type: string
          required: true
        - in: query
          name: resolution_minutes
          schema:
            default: 30
            title: Resolution Minutes
            type: integer
          required: false
        - in: query
          name: compact
          schema:
            default: false
            title: Compact
            type: boolean
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FleetSnapshot'
      security:
        - OAuth2: []
components:
  schemas:
    FleetSnapshot:
      properties:
        version:
          default: 1
          title: Version
          type: integer
        generated_at:
          format: date-time
          title: Generated At
          type: string
        stale:
          default: false
          title: Stale
          type: boolean
        history_available:
          default: true
          title: History Available
          type: boolean
        start:
          format: date-time
          title: Start
          type: string
        end:
          format: date-time
          title: End
          type: string
        resolution_minutes:
          title: Resolution Minutes
          type: integer
        dashboard:
          $ref: '#/components/schemas/Dashboard'
      required:
        - generated_at
        - start
        - end
        - resolution_minutes
        - dashboard
      title: FleetSnapshot
      type: object
    Dashboard:
      properties:
        title:
          title: Title
          type: string
        pages:
          items:
            $ref: '#/components/schemas/Page'
          title: Pages
          type: array
        datasets:
          items:
            $ref: '#/components/schemas/Dataset'
          title: Datasets
          type: array
      required:
        - title
        - pages
        - datasets
      title: Dashboard
      type: object
    Page:
      properties:
        slug:
          $ref: '#/components/schemas/Asset'
        title:
          title: Title
          type: string
        path:
          title: Path
          type: string
        sections:
          items:
            $ref: '#/components/schemas/Section'
          title: Sections
          type: array
      required:
        - slug
        - title
        - path
        - sections
      title: Page
      type: object
    Dataset:
      properties:
        id:
          title: Id
          type: string
        rows:
          items:
            $ref: '#/components/schemas/StateCount'
          title: Rows
          type: array
        series:
          anyOf:
            - items:
                $ref: '#/components/schemas/StateSeries'
              type: array
            - type: 'null'
          title: Series
      required:
        - id
        - rows
      title: Dataset
      type: object
    Asset:
      enum:
        - inverters
        - evs
        - heatpumps
      title: Asset
      type: string
    Section:
      properties:
        id:
          $ref: '#/components/schemas/Capability'
        title:
          title: Title
          type: string
        kind:
          title: Kind
          type: string
        dataset_id:
          title: Dataset Id
          type: string
      required:
        - id
        - title
        - kind
        - dataset_id
      title: Section
      type: object
    StateCount:
      properties:
        time:
          format: date-time
          title: Time
          type: string
        manufacturer:
          title: Manufacturer
          type: string
        state:
          title: State
          type: string
        reason:
          title: Reason
          type: string
        devices:
          title: Devices
          type: integer
      required:
        - time
        - manufacturer
        - state
        - reason
        - devices
      title: StateCount
      type: object
    StateSeries:
      properties:
        manufacturer:
          title: Manufacturer
          type: string
        state:
          title: State
          type: string
        reason:
          title: Reason
          type: string
        counts:
          items:
            type: integer
          title: Counts
          type: array
      required:
        - manufacturer
        - state
        - reason
        - counts
      title: StateSeries
      type: object
    Capability:
      enum:
        - monitoring
        - steering
        - intraday
        - hems
      title: Capability
      type: string
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````